## org.apache.lucene.search
Class SpanFilterResult.StartEnd

    java.lang.Object
      org.apache.lucene.search.SpanFilterResult.StartEnd

Enclosing class:
  SpanFilterResult

    public static class SpanFilterResult.StartEnd

extends java.lang.Object

Constructor Summary
`SpanFilterResult.StartEnd(int start, int end)`

Method Summary
`int` `getEnd()`
`int` `getStart()` The Start position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanFilterResult.StartEnd

    public SpanFilterResult.StartEnd(int start,
                                     int end)

Method Detail

### getEnd

    public int getEnd()

  Returns:
    The end position of this match

### getStart

    public int getStart()

  The Start position

  Returns:
    The start position of this match

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.